<nb-card *ngIf="!isTableEmpty()">
    <nb-card-body>
      <mat-table [dataSource]="projectPolicies">
        <ng-container matColumnDef="name">
          <mat-header-cell *matHeaderCellDef>Name</mat-header-cell>
          <mat-cell *matCellDef="let policy">{{ policy.name }}</mat-cell>
        </ng-container>
        <ng-container matColumnDef="dmp_url">
            <mat-header-cell *matHeaderCellDef>DMP Tool URL</mat-header-cell>
            <mat-cell *matCellDef="let policy">{{ policy.dmp_recommendation?.url }}</mat-cell>
          </ng-container>
          <ng-container matColumnDef="dmp_score">
            <mat-header-cell *matHeaderCellDef>DMP Tool Score</mat-header-cell>
            <mat-cell *matCellDef="let policy">{{ policy.score1 }}</mat-cell>
          </ng-container>
          <ng-container matColumnDef="storage_url">
            <mat-header-cell *matHeaderCellDef>Storage Tool URL</mat-header-cell>
            <mat-cell *matCellDef="let policy">{{ policy.storage_recommendation?.url }}</mat-cell>
          </ng-container>
          <ng-container matColumnDef="storage_score">
            <mat-header-cell *matHeaderCellDef>Storage Tool Score</mat-header-cell>
            <mat-cell *matCellDef="let policy">{{ policy.score2 }}</mat-cell>
          </ng-container>
        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
        <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
      </mat-table>
    </nb-card-body>
  </nb-card>